[SciPy-User] Bug in scipy.io.mmread?

Jaakko Luttinen jaakko.luttinen@aalto...
Thu Mar 22 12:46:02 CDT 2012


>> I am trying to read the following matrix market file:
>> ftp://math.nist.gov/pub/MatrixMarket2/Harwell-Boeing/lsq/illc1033.mtx.gz
>>
>> However, it doesn't work with Python 3 and SciPy 0.11.0:
> 
> works fine for me with python 2.7.2 on opensuse12.1
> 
>>>> sp.__version__
> '0.11.0.dev-e7d3e33'
>>>> np.__version__
> '1.7.0.dev-3503c5f'

Hi!

I also got it working with Python 2.6.6:
>>> scipy.version.version
'0.11.0.dev-0fbfdbc'

So, it seems like it is related to Python 3.2? I tried to diff mmio.py
but didn't notice any relevant differences between the Python versions..

Here is the diff:
http://pastebin.com/e2xm3CVx

-Jaakko


More information about the SciPy-User mailing list